package de.ivu.elect.business.wahl.boundary;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.Wahldurchfuehrung;

@Specializes
// ELECT-6886
public class WasWahlFactory extends CoreWahlFactory {


  @Override
  public Wahl create() {
    Wahl entity = new Wahldurchfuehrung(
            createCustomData()
    );

    initDefaultAttributes(entity);
    return entity;
  }

  @Override
  public void initDefaultAttributes(Wahl entity) {
    super.initDefaultAttributes(entity);
  }
}
